﻿@using SSCMvc.Webutil;
@using SSCMvc.Models;
@using System.Web.UI.WebControls
@model IEnumerable<SSCMvc.Models.MaEnquiry>
@{
    ViewBag.Title = "Index";
    Layout = "~/Views/Shared/_Layout.cshtml";
}
@section scripts
{
    <script src="~/Content/datatable/jquery.dataTables.min.js"></script>
    <link href="~/Content/datatable/jquery.dataTables.css" rel="stylesheet" />
    <script>
        var va;

        $('#example .group-checkable').change(function () {

            var set = jQuery(this).attr("data-set");
            var checked = jQuery(this).is(":checked");
            $(set).each(function () {
                if (checked) {
                    $(this).attr("checked", true);
                    va = true;
                    tick(va);

                } else {
                    $(this).attr("checked", false);
                    va = false;
                    tick(va);
                }
            });
            jQuery.uniform.update(set);
        });

        function tick(va) {
            //alert(va);
            $('input[name=hdnStatus]').val(va);
        }

    </script>
    <script>
        function GetEnquiry() {
            var leftuser = $("#UserListLeft").val();
            var enq = $("#EnqAbt").val();
                window.location = "/MaEnquiry/TransferOldCounselorEnq?leftuser=" + leftuser + "&EnqAbt=" + enq;
            
        }
    </script>

}
<div class="header">
    <div class="stats">
    </div>
    <h1 class="page-title">
        User List
    </h1>
</div>
<ul class="breadcrumb">
    <li>@Html.ActionLink("Home", "Index", "Home") <span class="divider">/</span></li>
    <li class="active">Dashboard</li>
</ul>
<div style="margin-left: 20px">
    <table style="width: 100%">
        <tr>
            <td>
                @{
                    if (ViewBag.Mesg != null)
                    {
                        <div class="alert alert-info"> @ViewBag.Mesg</div>
                    }
                }
                @ViewBag.reset
            </td>
        </tr>
    </table>
</div>
<form action="/MaEnquiry/TransferOldEnq" method="post">
    <div style="margin-top: 40px">
        <table style="width: 900px" align="center">
            <tr>
                <td>
                    Transfer From
                    @Html.DropDownList("UserListLeft", "All")
                </td>
                <td>
                    Enq About
                    @Html.DropDownList("EnqAbt", "All")
                </td>
                <td>

                    <a href="#" onclick="GetEnquiry()" class="btn btn-primary"> Get Enquiry</a>
                </td>
                <td>
                    Transfer to
                    @Html.DropDownList("UserListExist", (SelectList)ViewBag.val, "All", new { @required = true })
                </td>
                
                <td>
                    <button type="submit" class="btn btn-primary">
                        Transfer
                    </button>
                </td>

            </tr>
        </table>
    </div>
    <div class="container-fluid">
        <div class="row-fluid">

            <div class="well">
                <table class="table table-bordered" id="example">
                    <thead>
                        <tr>
                            <th>
                                <input type="checkbox" class="group-checkable" id="chk_all" value="1" data-set="#example .checkboxes" />
                                <label class="control-label" for="firstName">(Tick Check-Box )</label>

                            </th>
                            <th>
                                Enquiry No
                            </th>
                            <th>
                                Branch
                            </th>
                            <th>
                                Name
                            </th>
                            <th>
                                Father's/ Husband's Name
                            </th>
                            <th>
                                Enq. About
                            </th>
                            <th>
                                Mobile
                            </th>
                            <th>
                                Enq. Date
                            </th>
                            <th>
                                Enq. Status
                            </th>
                        </tr>
                    </thead>
                    <tbody>
                      
                        @foreach (var item in Model)
                        {
                            
                            <tr>
                                <td>
                                    <input type="checkbox" class="checkboxes" id="Status" name="Status" value="@item.Id" />
                                </td>
                                <td>

                                    @Html.DisplayFor(modelItem => item.Id)
                                </td>
                                <td>
                                    @Html.DisplayFor(modelItem => item.MaBranch.BramchName)
                                </td>
                                <td>
                                    @Html.DisplayFor(modelItem => item.FirstName)
                                    @Html.DisplayFor(modelItem => item.LastName)

                                </td>
                                <td>
                                    @Html.DisplayFor(modelItem => item.FatherName)
                                </td>
                                <td>
                                    @Html.DisplayFor(modelItem => item.EnqAbt)
                                </td>
                                <td>
                                    @Html.DisplayFor(modelItem => item.Mobile)
                                </td>

                                <td>
                                    @{
                                        string cdate = string.Format("{0:dd MMM, yyyy}", item.WalkInDate);
                                    }
                                    @cdate
                                </td>
                                <td>
                                    @Html.DisplayFor(modelItem => item.FEnqstatus)
                                </td>
                            </tr>
                                        }
                    </tbody>
                </table>
            </div>

        </div>
    </div>
</form>
